<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'BySolutionIntro',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section
    :id="data.id"
    :class="
      data.layout == 'early-access'
        ? 'by-solution-intro slp-pb-64'
        : 'by-solution-intro slp-pt-96 slp-pb-64'
    "
    :data-aos="data.aos_animation"
    :data-aos-duration="data.aos_duration"
  >
    <SlpContainer>
      <SlpRow>
        <SlpColumn>
          <SlpTypography
            v-if="data.header"
            class="header"
            tag="h2"
            variant="heading2-bold"
            >{{ data.header }}</SlpTypography
          >

          <SlpTypography
            v-if="data.text.highlight"
            tag="span"
            :variant="data.text_variant || 'heading5'"
            class="by-solution-intro__text"
            ><span class="by-solution-intro__highlight">{{
              data.text.highlight
            }}</span></SlpTypography
          >
          <SlpTypography
            v-if="data.text?.description"
            tag="div"
            :variant="
              data.layout == 'early-access'
                ? 'body1'
                : data.text_variant || 'heading5'
            "
            class="by-solution-intro__text"
          >
            <div v-html="$md.render(data.text.description)"></div>
          </SlpTypography>

          <SlpButton
            v-if="data.cta"
            class="slp-mt-16 by-solution-intro__button"
            variant="primary"
            :href="data.cta.href || data.cta.url"
            :data-ga-name="data.cta.data_ga_name"
            :data-ga-location="data.cta.data_ga_location"
          >
            {{ data.cta.text }}
            <SlpIcon
              class="slp-ml-8"
              name="chevron-lg-right"
              variant="product"
              alt="Chevron Right Icon"
            />
          </SlpButton>
        </SlpColumn>
        <SlpColumn v-if="data.list != ''" class="by-solution-intro-benefits">
          <div
            v-for="(item, index) in data.list"
            :key="`list-item+${index}`"
            class="by-solution-intro-benefits__content"
          >
            <span class="checked-heading">
              <SlpIcon
                name="tick-circle"
                color="#A989F5"
                alt="Icon"
                variant="marketing"
                size="md"
              />
            </span>
            <SlpTypography class="slp-my-8 description" variant="body2-bold">{{
              item
            }}</SlpTypography>
          </div>
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.by-solution-intro {
  &-benefits {
    margin-left: 32px;
    &__content {
      display: flex;
      padding: 32px 0px;
      align-items: center;
      gap: 16px;
      align-self: stretch;
      border-top: 1px solid $color-surface-200;
      border-bottom: 1px solid $color-surface-200;
    }
  }
  &__highlight {
    font-weight: $font-weight-bold;
  }
  .header {
    margin-bottom: $spacing-24;
  }

  @media (max-width: $breakpoint-md) {
    margin-top: $spacing-64;
    padding-top: 0;
    padding-bottom: 0;

    .header {
      margin-bottom: $spacing-16;
    }

    &__button {
      width: 100%;
      justify-content: center;
    }
  }
}
</style>
